Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.xml.tags
Class XsltTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--weblogicx.xml.tags.XsltTag

public class XsltTag
extends javax.servlet.jsp.tagext.BodyTagSupport
implements org.xml.sax.EntityResolver

The XSL tag processes an XML string using the style sheet contained in the tag body or included from another servlet. You must specify a processor which are accessed through the generic Processor interface. Current implementations include xalan, xt, and saxon. Remember to specify text if you don't want all the extra XML version tags, etc.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`XsltTag()`

Method Summary
`int` | `doAfterBody()`
`int` | `doEndTag()`
`int` | `doStartTag()`
`protected java.lang.String` | `getDefault()`
`java.lang.String` | `getMedia()`
`protected void` | `getPIs(org.w3c.dom.Node document)`
`java.lang.String` | `getStylesheet()`
`java.lang.String` | `getXml()`
`protected java.lang.String` | `getXslPage(java.lang.String media)`
`protected java.util.Map` | `parse(java.lang.String data)`
`java.lang.Object` | `putXslIs(java.lang.String media, java.io.InputStream xslis)`
`java.lang.Object` | `putXslURI(java.lang.String media, java.lang.String uri)`
`void` | `release()` Release back to original state.
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String pid, java.lang.String sid)` Entity resolver
`protected void` | `setDefault(java.lang.String defaultXslPage)`
`void` | `setDefaultXslIs(java.io.InputStream defaultXslIs)`
`void` | `setMedia(java.lang.String media)`
`void` | `setStylesheet(java.lang.String stylesheet)`
`void` | `setXml(java.lang.String xml)`
`void` | `setXmlInputStream(java.io.InputStream xmlis)`
`void` | `setXslInputStream(java.io.InputStream xmlis)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsltTag

    public XsltTag()

Method Detail

### getXml

    public java.lang.String getXml()

### setXml

    public void setXml(java.lang.String xml)

### getMedia

    public java.lang.String getMedia()

### setMedia

    public void setMedia(java.lang.String media)

### getStylesheet

    public java.lang.String getStylesheet()

### setStylesheet

    public void setStylesheet(java.lang.String stylesheet)

### setXmlInputStream

    public void setXmlInputStream(java.io.InputStream xmlis)

### setXslInputStream

    public void setXslInputStream(java.io.InputStream xmlis)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.BodyTagSupport

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Overrides:
    doAfterBody in class javax.servlet.jsp.tagext.BodyTagSupport

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Overrides:
    doEndTag in class javax.servlet.jsp.tagext.BodyTagSupport

### setDefaultXslIs

    public void setDefaultXslIs(java.io.InputStream defaultXslIs)

### putXslIs

    public java.lang.Object putXslIs(java.lang.String media,
                                     java.io.InputStream xslis)

### putXslURI

    public java.lang.Object putXslURI(java.lang.String media,
                                      java.lang.String uri)

### getDefault

    protected java.lang.String getDefault()

### setDefault

    protected void setDefault(java.lang.String defaultXslPage)

### getXslPage

    protected java.lang.String getXslPage(java.lang.String media)

### parse

    protected java.util.Map parse(java.lang.String data)

### getPIs

    protected void getPIs(org.w3c.dom.Node document)
                   throws org.xml.sax.SAXException

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String pid,
                                                 java.lang.String sid)
                                          throws org.xml.sax.SAXException

  Entity resolver
  Specified by:
    resolveEntity in interface org.xml.sax.EntityResolver

### release

    public void release()

  Release back to original state.

  Overrides:
    release in class javax.servlet.jsp.tagext.BodyTagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD